GCLOUD_COMPUTE_NETWORKS_SUBNETS_CREATE(1)

NAME

gcloud compute networks subnets create - define a subnet for a network in custom subnet mode

SYNOPSIS

gcloud compute networks subnets create NAME --network NETWORK --range RANGE [--description DESCRIPTION] [--region REGION] [GLOBAL-FLAG ...]

DESCRIPTION
Define a subnet for a network in custom subnet mode.

POSITIONAL ARGUMENTS
NAME
    The name of the subnetwork.

REQUIRED FLAGS
--network NETWORK
    The network to which the subnetwork belongs.
--range RANGE
    The IP space allocated to this subnetwork in CIDR format.

OPTIONAL FLAGS
--description DESCRIPTION
    An optional description of this subnetwork.
--region REGION
    The region of the subnetwork to create. If not specified, you will be prompted to select a region. To avoid prompting when this flag is omitted, you can set the compute/region property:
        $ gcloud config set compute/region REGION
    A list of regions can be fetched by running:
        $ gcloud compute regions list
    To unset the property, run:
        $ gcloud config unset compute/region
    Alternatively, the region can be stored in the environment variable CLOUDSDK_COMPUTE_REGION.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.